# lvm.h File Reference

`#include "ldo.h"`
`#include "lobject.h"`
`#include "ltm.h"`

Go to the source code of this file.

## Defines
#define | tostring(L, o) ((ttype(o) == LUA_TSTRING) || (luaV_tostring(L, o)))
#define | tonumber(o, n)
#define | equalobj(L, o1, o2) (ttype(o1) == ttype(o2) && luaV_equalval(L, o1, o2))
## Functions
LUAI_FUNC int | luaV_lessthan (lua_State *L, const TValue *l, const TValue *r)
LUAI_FUNC int | luaV_equalval (lua_State *L, const TValue *t1, const TValue *t2)
LUAI_FUNC const TValue * | luaV_tonumber (const TValue *obj, TValue *n)
LUAI_FUNC int | luaV_tostring (lua_State *L, StkId obj)
LUAI_FUNC void | luaV_gettable (lua_State *L, const TValue *t, TValue *key, StkId val)
LUAI_FUNC void | luaV_settable (lua_State *L, const TValue *t, TValue *key, StkId val)
LUAI_FUNC void | luaV_execute (lua_State *L, int nexeccalls)
LUAI_FUNC void | luaV_concat (lua_State *L, int total, int last)

## Define Documentation

#define equalobj | ( | L,
|  | o1,
|  | o2 |  | ) | (ttype(o1) == ttype(o2) && luaV_equalval(L, o1, o2))

#define tonumber | ( | o,
|  | n |  | ) |

Value:

    (ttype(o) == LUA_TNUMBER || \
                             (((o) = luaV_tonumber(o,n)) != NULL))

#define tostring | ( | L,
|  | o |  | ) | ((ttype(o) == LUA_TSTRING) || (luaV_tostring(L, o)))

## Function Documentation

LUAI_FUNC void luaV_concat | ( | lua_State * | L,
|  | int | total,
|  | int | last |
| ) |  |  |

LUAI_FUNC int luaV_equalval | ( | lua_State * | L,
|  | const TValue * | t1,
|  | const TValue * | t2 |
| ) |  |  |

LUAI_FUNC void luaV_execute | ( | lua_State * | L,
|  | int | nexeccalls |
| ) |  |  |

LUAI_FUNC void luaV_gettable | ( | lua_State * | L,
|  | const TValue * | t,
|  | TValue * | key,
|  | StkId | val |
| ) |  |  |

LUAI_FUNC int luaV_lessthan | ( | lua_State * | L,
|  | const TValue * | l,
|  | const TValue * | r |
| ) |  |  |

LUAI_FUNC void luaV_settable | ( | lua_State * | L,
|  | const TValue * | t,
|  | TValue * | key,
|  | StkId | val |
| ) |  |  |

LUAI_FUNC const TValue* luaV_tonumber | ( | const TValue * | obj,
|  | TValue * | n |
| ) |  |  |

LUAI_FUNC int luaV_tostring | ( | lua_State * | L,
|  | StkId | obj |
| ) |  |  |